V4L/DVB (9485): ivtv: remove incorrect V4L1 & tvaudio dependency
Hans Verkuil [Tue, 28 Oct 2008 13:44:12 +0000 (10:44 -0300)]
ivtv used tvaudio in the past and at the time tvaudio required V4L1.
Since tvaudio is no longer dependent on V4L1 and since ivtv actually
no longer uses tvaudio at all, this is no removed from Kconfig.

Without this patch ivtv won't be build if V4L1 is disabled.

Signed-off-by: Hans Verkuil <hverkuil@xs4all.nl>
Signed-off-by: Mauro Carvalho Chehab <mchehab@redhat.com>

drivers/media/video/ivtv/Kconfig

index 0069898..d62f2bb 100644 (file)
@@ -1,6 +1,6 @@
 config VIDEO_IVTV
        tristate "Conexant cx23416/cx23415 MPEG encoder/decoder support"
-       depends on VIDEO_V4L1 && VIDEO_V4L2 && PCI && I2C && EXPERIMENTAL
+       depends on VIDEO_V4L2 && PCI && I2C && EXPERIMENTAL
        depends on INPUT   # due to VIDEO_IR
        select I2C_ALGOBIT
        select VIDEO_IR
@@ -12,7 +12,6 @@ config VIDEO_IVTV
        select VIDEO_SAA711X
        select VIDEO_SAA717X
        select VIDEO_SAA7127
-       select VIDEO_TVAUDIO
        select VIDEO_CS53L32A
        select VIDEO_M52790
        select VIDEO_WM8775